/*
 * Downloaded from lenkaspace.net
 * 
 * Paper about this project: http://lenkaspace.net/papers/iteratedPrisonersDilemmaNeuralNetworks.php
 * Email: contact@lenkaspace.net
 */

package net.lenkaspace.adaptiveNavigation;

public class Settings
{
	
	//----- constants
	public static final int WINDOW_W = 1120;
	public static final int WINDOW_H = 620;
	
	public static final int WORLD_W = 600;
	public static final int WORLD_H = 600;
	
	public static final double THETA = 1.00;
	
	public static final int TIME_UNIT_INTERVAL = 50; //for reports defines a 'second' in the simulation , reports can only be registered each second
    
    public static final int MAX_TIME_INTERVAL = 100;
    public static final int MIN_TIME_INTERVAL = 1;
    
    //-------------
	
	private static Settings ref;
	private boolean mInitDone;
	private boolean mTimeRunning;
	//private boolean mSimulationRunning;
	private int		mSimulationType;
	private boolean drawPath = false;
	
	
    
    
    
	private Settings() 	{
		setInitDone(false);
	}
	
	public static Settings getSingletonObject()	  {
	  if (ref == null)
	        // it's ok, we can call this constructor
	     ref = new Settings();		
	  return ref;
	}
	
	public Object clone() throws CloneNotSupportedException {
	    throw new CloneNotSupportedException(); 
	}

	public void setInitDone(boolean mInitDone) {
		this.mInitDone = mInitDone;
	}

	public boolean getInitDone() {
		return mInitDone;
	}

	public void setTimeRunning(boolean mTimeRunning) {
		this.mTimeRunning = mTimeRunning;
	}

	public boolean getTimeRunning() {
		return mTimeRunning;
	}

	public void setSimulationType(int mSimulationType) {
		this.mSimulationType = mSimulationType;
	}

	public int getSimulationType() {
		return mSimulationType;
	}

	public void setDrawPath(boolean drawPath) {
		this.drawPath = drawPath;
	}

	public boolean getDrawPath() {
		return drawPath;
	}

	
}
